This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 187212 - [69cat] XML: Create XML Download Bundle
Summary: [69cat] XML: Create XML Download Bundle
Status: RESOLVED WONTFIX
Alias: None
Product: xml
Classification: Unclassified
Component: Code (show other bugs)
Version: 7.0.1
Hardware: PC Windows XP
: P4 normal with 4 votes (vote)
Assignee: Sergey Lunegov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-04 17:02 UTC by gliesian
Modified: 2012-05-28 11:45 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gliesian 2010-06-04 17:02:35 UTC
On the download page, you have download bundles for the following: "Java SE, JavaFX, Java, Ruby, C/C++, PHP and All".  Please create a download bundle for XML.

In the cell relative to Supported Technologies, XML would be added/selected amongst other technologies that need to be present.  Reference table: http://bits.netbeans.org/download/trunk/nightly/latest/.

Modules to consider in the installation:
  -- XSLT Debugger Plugin
  -- XPath Plugin
  -- WSDL and XML Schema Plugin
  -- Query XML Plugin
  -- etc.

Thanks.
Comment 1 Peter Pis 2010-06-07 06:39:11 UTC
Please evaluate.
Comment 2 gliesian 2010-06-24 14:27:45 UTC
Here are a number of issues that could be resolved and/or developed for inclusion in the module:

183788 [69cat] XML: Add the XSL Transformation Pipeline Feature
184489 [69cat] XML: Request for XSLT 2.0 and XPATH 2.0 support
184564 [69cat] XML: Replace "Check XML" text with "Check Well-Formedness"
184566 [69cat] XML: Add "XSL-FO Transformation..." menu item for XML files
184580 [69cat] XML: Extend "Generate DTD" command to "Generate DTD/Schema"
184591 [69cat] XML: New "File | Encoding..." Feature for XML Files
184628 [69cat] XML: Request for Visual XML Editor
184793 [69cat] XML: XML File Right-click Menu Could Have Gutter Glyphs
184868 [69cat] XML: XPath 1.0/2.0 Analyzer Capability
184872 [69cat] XML: WSDL 1.1/2.0 Wizards, Editors and Converters
184877 [69cat] XML: XSLT Debugger
184878 [69cat] XML: XSLT Profiler
184938 [69cat] XML: Comment and Uncomment buttons for XML source code lines
185197 [69cat] XML: XSLT Template Designed for HTML; process doesn't consider XML or TEXT output methods
185449 [69cat] XML: Add DTD to/from XML Schema Conversion
185450 [69cat] XML: Add Database Schema to/from XML Schema Conversion
185453 [69cat] XML: Create additional code templates for XML-related files (i.e. .xml, .xslt, .xsd) and DTD (.dtd) files
186395 [69cat] XML: http://xml.netbeans.org/ needs to target 6.8 or 6.9
186914 [69cat] XML: Add "Generate an XML RelaxNG Schema" option
186919 [69cat] XML: Tag Locking Mechanism
186920 [69cat] XML: Validate complete set of XML-Related Files
187097 [69cat] XML: Web Browser Icon in XML Editor's Toolbar
187164 [69cat] XML: Use the most current version of Xalan.

035600 Error highlighting in XML source editor based on schema
063106 Error highlighting and error stripe in XML editor
072005 Improve generation of DTD from XML 
125807 Schema aware Code completion enhancements
Comment 3 Svata Dedic 2012-05-28 11:45:59 UTC
I don't think that XML itself deserves a download bundle. 
XML is usually used in conjunction with some other technology, either to configure it or to transport data. I think that download bundle or edition should offer a reasonably complete environment for whole development cycle. What kind of dev cycle would the proposed XML bundle provide ?